SELECT
(CASE
 WHEN (w.Auswertung1 IS NULL or w.Auswertung1='') then w.Bezeichnung
 ELSE w.Auswertung1
 END) As Gruppe,
 m.Personalnummer,m.Suchbegriff,
    
SUM(p.Anzahl*
(CASE       
 WHEN (p.Art IN (0,2,13,15)) THEN 1
 WHEN (p.Art=6) THEN -1
 ELSE 0
END)*                       
(CASE
  WHEN (v.Art IN ({ART_GU})) THEN -1
  ELSE 1            
 END)                                                                            
) As Menge ,

SUM(p.Anzahl* ISNULL(p.Faktor,1) *
(CASE                                                                             
 WHEN (p.Art IN (0,2,13,15)) THEN 1
 WHEN (p.Art=6) THEN -1
 ELSE 0
END)*
(CASE                                                                           
  WHEN (v.Art IN ({ART_GU})) THEN -1
  ELSE 1     
 END)
*p.Preis/                                                                                                                    
(CASE                    
  WHEN ISNULL(p.Preiseinheit,1) =0 THEN 1
  ELSE ISNULL(p.Preiseinheit,1)
 END)                                            
*((100- ISNULL(p.Rabatt,0) )/100)*((100- ISNULL(p.Rabatt2,0) )/100)*((100- ISNULL(p.Rabatt3,0) )/100)*((100- ISNULL(p.RabattG,0) )/100)*((100- ISNULL(v.GRabatt,0) )/100)
/(CASE                                       
 WHEN v.Steuer<2 THEN (100+
 CASE 
  WHEN v.Vorgangsdatum>=m.NEU_Datum THEN mwst.NEU_MWST
  WHEN v.Vorgangsdatum>=m.Datum THEN mwst.NMWST
  ELSE mwst.MwSt
 END
 )/100
 ELSE 1
END)                              
) As Netto,

SUM(p.Anzahl* ISNULL(p.Faktor,1) *    
(CASE                                                                                     
 WHEN (p.Art IN (0,2,13,15)) THEN 1
 WHEN (p.Art=6) THEN -1
 ELSE 0                                                                      
END)*                                          
(CASE                                                                           
  WHEN (v.Art IN ({ART_GU})) THEN -1
  ELSE 1                          
 END)
*
(p.Preis/
(CASE                    
  WHEN ISNULL(p.Preiseinheit,1) =0 THEN 1                                                                          
  ELSE ISNULL(p.Preiseinheit,1)
 END)                                            
*(1)
/(CASE                                       
 WHEN v.Steuer<2 THEN (100+
 CASE 
  WHEN v.Vorgangsdatum>=m.NEU_Datum THEN mwst.NEU_MWST
  WHEN v.Vorgangsdatum>=m.Datum THEN mwst.NMWST
  ELSE mwst.MwSt
 END
 )/100
 ELSE 1
END)-(
p.EK
*((100- ISNULL(p.RabattEK,0)  )/100)
 )                                                                                         
) As Ertrag
                                                                              
                                                                                                       
FROM positionen p left outer join auftrag v on p.auftrag=v.auftrag left outer join lagerort l ON v.Filiale=l.Ort
     LEFT Outer Join artikel a ON a.Artikel=p.Artikel LEFT OUTER JOIN mwSt ON CASE WHEN p.SonderUST>0 THEN p.SonderUST ELSE a.Umsatzsteuer END=MwSt_Satz Left Outer join Warengruppe w on w.Warengruppe=a.Warengruppe
     LEFT OUTER JOIN mitarbeiter m ON CASE WHEN p.Mitarbeiter>0 then p.Mitarbeiter ELSE v.Mitarbeiter END=m.Mitarbeiter
where v.art in (4,5,6,7,11) and gedruckt=true and v.Vorgangsdatum {ZEITRAUM} and m.Mitarbeiter={AKTIVE_USER} AND w.Bezeichnung<>'GUTSCHEIN'
GROUP BY (CASE WHEN (w.Auswertung1 IS NULL or w.Auswertung1='') then w.Bezeichnung ELSE w.Auswertung1 END),m.Personalnummer,m.Suchbegriff
ORDER BY m.Personalnummer,(CASE WHEN (w.Auswertung1 IS NULL or w.Auswertung1='') then w.Bezeichnung ELSE w.Auswertung1 END)     